Imagick::getImageBackgroundColor
Imagick::getImageBluePrimary
Imagick
PHP Manual

# Imagick::getImageBlob

Returns the image sequence as a blob

### Description

string Imagick::getImageBlob ( void )

Implements direct to memory image formats. It returns the image sequence as a string. The format of the image determines the format of the returned blob (GIF, JPEG, PNG, etc.). To return a different image format, use Imagick::setImageFormat().

### Return Values

Returns a string containing the image.

### Errors/Exceptions

Throws ImagickException on error.